# remirepo/fedora spec file for php-morris-lessql
#
# Copyright (c) 2016-2018 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global gh_commit    338966185fc052e7ee769360d19950cf90c0fd42
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     morris
#global gh_date      20150820
%global gh_project   lessql
%global with_tests   0%{!?_without_tests:1}
%global psr0         LessQL

Name:           php-%{gh_owner}-%{gh_project}
Version:        0.3.5
Release:        1%{?gh_date?%{gh_date}git%{gh_short}}%{?dist}
Summary:        The agile PHP ORM alternative

Group:          Development/Libraries
License:        MIT
URL:            http://lessql.net/
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{name}-%{version}-%{?gh_short}.tar.gz

BuildArch:      noarch
%if %{with_tests}
BuildRequires:  php(language) >= 5.3.4
BuildRequires:  php-json
BuildRequires:  php-pcre
BuildRequires:  php-spl
# For tests, from composer.json 	"require-dev": {
#		"phpunit/phpunit": "~4.6",
#		"codeclimate/php-test-reporter": "dev-master"
BuildRequires:  php-composer(phpunit/phpunit) >= 4.6
BuildRequires:  php-pdo
BuildRequires:  php-date
%endif
# For autoloader
BuildRequires:  php-composer(theseer/autoload)

# From composer.json, 	"require": {
#		"php": ">=5.3.4"
Requires:       php(language) >= 5.3.4
# From phpcompatinfo report for 0.3.4
Requires:       php-json
Requires:       php-pcre
Requires:       php-spl

# Composer
Provides:       php-composer(%{gh_owner}/%{gh_project}) = %{version}


%description
LessQL is a lightweight and performant alternative to Object-Relational
Mapping for PHP.

Autoloader: %{_datadir}/php/%{psr0}/autoload.php


%prep
%setup -q -n %{gh_project}-%{gh_commit}


%build
: generate an simple autoloader
%{_bindir}/phpab --output src/%{psr0}/autoload.php src/%{psr0}


%install
: Library
mkdir -p           %{buildroot}%{_datadir}/php
cp -pr src/%{psr0} %{buildroot}%{_datadir}/php/%{psr0}


%check
%if %{with_tests}
mkdir vendor
cat << 'EOF' | tee vendor/autoload.php
<?php
require '%{buildroot}%{_datadir}/php/%{psr0}/autoload.php';
EOF

# remirepo:11
ret=0
for cmd in php php56 php70 php71 php72; do
  if which $cmd; then
    $cmd %{_bindir}/phpunit --no-coverage tests || ret=1
  fi
done
exit $ret
%else
: Test suite disabled
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.md
%doc composer.json
%doc CHANGELOG.md
%doc README.md
%{_datadir}/php/%{psr0}


%changelog
* Mon Jan 29 2018 Remi Collet <remi@remirepo.net> - 0.3.5-1
- Update to 0.3.5

* Tue Sep 27 2016 Remi Collet <remi@fedoraproject.org> - 0.3.4-1
- initial package

